#
# spec file for package desktop-translations
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           desktop-translations
Version:        20151007
Release:        7.1
Summary:        Desktop Files Translations
License:        BSD-3-Clause
Group:          System/GUI/Other
Source0:        desktop-translations.tar.bz2
Source99:       PREPARE_PACKAGE
Url:            http://en.opensuse.org
Supplements:    bundle-lang-other
Supplements:    gtk2
Supplements:    gtk3
Supplements:    kdelibs3
Supplements:    libkde4
Supplements:    plasma5-desktop
Supplements:    yast2-control-center
Provides:       locale(af;ar;bg;be;bn;bs;ca;cs;cy;da;de;el;en_GB;en_US;eo;es;et;fi;fr;gl;gu;he;hi;hr;hu;id;it;ja;ka;km;ko;lo;lt;mk;mr;nb;nl;pa;pl;pt;ro;ru;si;sk;sl;sr;sr@Latn;sv;ta;tr;uk;vi;wa;xh;zh_CN;zh_TW;zu)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides the translations for installed desktop files.

%prep
%setup -q -c %{name}

%build

%install
pushd po
for lang in *; do 
  if test "$lang" = "nb_no"; then
    continue
  fi
  if test -f $lang; then
	rm $lang
  else
    mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
    for f in $lang/*.po; do 
       msgfmt -o %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/desktop_translations.mo $f
       msgunfmt --no-wrap %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/desktop_translations.mo | \
          grep -v '^"[A-Z][^ ]*: ' | grep '[^\][\]n"' && exit 1
    done
  fi
done
popd
%find_lang desktop_translations

%files -f desktop_translations.lang
%defattr(-,root,root)

%changelog
* Mon Nov  7 2016 ke@suse.de
- Update translations from SVN.
* Tue Oct 25 2016 ke@suse.de
- Remove Cyrillic strings from the Swedish (sv) translations.
- Update translations from SVN.
* Wed Oct 12 2016 ke@suse.de
- Update translations from SVN.
* Wed Oct  7 2015 coolo@suse.com
- update from SVN
* Sat Jul 11 2015 antoine.belvire@laposte.net
- Set version to 13.2.
- Update translations.
* Tue Oct 28 2014 ke@suse.de
- Update translations.
* Tue Oct 14 2014 ke@suse.de
- Update translations.
* Wed Oct  8 2014 ke@suse.de
- Update translations.
-  PREPARE_PACKAGE: Set the opensuse.org translation SVN.
-  PREPARE_PACKAGE: ALso filter "\\ ".
* Wed Oct 30 2013 ke@suse.de
- Update translations.
* Thu Oct 24 2013 ke@suse.de
- Update translations.
* Thu Oct 17 2013 ke@suse.de
- Update translations.
* Mon Oct  7 2013 ke@suse.de
- Update translations.
* Mon Sep 30 2013 ke@suse.de
- Update translations.
* Thu Sep 26 2013 ke@suse.de
- Update translations.
* Wed Sep 18 2013 ke@suse.de
- Update translations.
* Wed Sep 11 2013 ke@suse.de
- Set version to 13.1.
- Update translations.
* Thu Feb 14 2013 ke@suse.de
- Update translations.
* Mon Feb  4 2013 ke@suse.de
- Update translations.
* Thu Jan 31 2013 ke@suse.de
- Set version to 12.3.
- Update translations.
* Thu Jan 17 2013 ke@suse.de
- Update translations.
* Fri Aug 24 2012 ke@suse.de
- Update translations.
* Tue Aug 21 2012 ke@suse.de
- Update translations; bnc#774339 (partially).
* Fri Aug 17 2012 ke@suse.de
- Update translations.
* Mon Aug 13 2012 ke@suse.de
- Update translations.
* Fri Aug  3 2012 ke@suse.de
- Update translations.
* Fri Jul  6 2012 ke@suse.de
- Update translations.
* Fri Jun 22 2012 ke@suse.de
- Update translations.
* Fri Jun  8 2012 ke@suse.de
- PREPARE_PACKAGE: Filter artificial "\ " strings.
- Update translations.
* Fri Jun  1 2012 ke@suse.de
- PREPARE_PACKAGE: Filter wrong \n.
- Update translations.
* Wed May 23 2012 ke@suse.de
- Update translations.
- Add URL.
* Wed May 16 2012 ke@suse.de
- Update translations.
* Mon May  7 2012 ke@suse.de
- Update translations.
* Fri Apr 20 2012 ke@suse.de
- Set version to 12.2.
- Update translations.
- PREPARE_PACKAGE: do not allow msgattrib to break long lines (use
  - -width 1000).
* Fri Nov  4 2011 ke@suse.de
- Update translations.
* Fri Oct 28 2011 ke@suse.de
- Update translations.
* Wed Oct 26 2011 ke@suse.de
- Update translations.
* Wed Oct 19 2011 ke@suse.de
- Update translations.
* Thu Oct 13 2011 ke@suse.de
- Update translations.
* Fri Oct  7 2011 ke@suse.de
- Update translations.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Fri Sep 16 2011 ke@suse.de
- Update translations.
* Fri Aug 26 2011 ke@suse.de
- Update translations.
* Fri Aug  5 2011 ke@suse.de
- Update translations.
* Fri Jun 17 2011 ke@suse.de
- set version to 12.1.
- update translations.
* Fri May 27 2011 ke@suse.de
- update translations.
* Fri Feb 25 2011 ke@suse.de
- update translations.
* Thu Feb 17 2011 ke@suse.de
- update translations.
* Fri Feb 11 2011 ke@suse.de
- update translations.
* Fri Jan 28 2011 coolo@novell.com
- glib2 is too low level to supplement a "desktop"
* Mon Jan 10 2011 ke@suse.de
- update translations.
* Mon Jan  3 2011 dmueller@suse.de
- bump version to 11.4
* Fri Nov 19 2010 ke@suse.de
- update translations.
* Fri Oct 29 2010 ke@suse.de
- update translations.
* Fri Oct  8 2010 ke@suse.de
- update translations.
* Thu Sep 30 2010 ke@suse.de
- update translations.
* Mon Jul  5 2010 ke@suse.de
- update translations.
* Fri Jun 25 2010 ke@suse.de
- update translations.
* Fri Jun 11 2010 ke@suse.de
- update translations.
* Fri Jun  4 2010 ke@suse.de
- update translations.
* Fri May 28 2010 ke@suse.de
- update translations.
* Fri May 14 2010 ke@suse.de
- Update translations.
* Fri May  7 2010 ke@suse.de
- Update translations.
* Fri Apr 16 2010 ke@suse.de
- Update translations.
* Fri Mar 19 2010 ke@suse.de
- Update translations.
* Thu Jan 28 2010 ke@suse.de
- Reference Berlios SVN.
* Thu Jan 14 2010 ke@suse.de
- update translations for Factory (-> 11.3).
- now also "supplements:  bundle-lang-other"; bnc#555257.
* Thu Oct 29 2009 ke@suse.de
- update translations for 11.2 RC2.
* Wed Oct 21 2009 ke@suse.de
- update translations for 11.2 RC2.
- work around a whitespace issue where YCC is affected; bnc#538245.
* Fri Oct  9 2009 ke@suse.de
- update translations for 11.2. RC1.
* Mon Oct  5 2009 ke@suse.de
- update translations, post 11.2 M8.
- Fix bugs bnc#538875 and bnc#539920 (partially).
* Thu Sep 24 2009 ke@suse.de
- update translations for 11.2. M8.
* Thu Sep 17 2009 ke@suse.de
- update translations from suse-i18n--see bnc#538245..
* Mon Aug 17 2009 ke@suse.de
- update translations from suse-i18n.
* Mon Aug 10 2009 ke@suse.de
- update translations from suse-i18n.
* Tue Jun 16 2009 ke@suse.de
- update translations.
- add 'be'.
- PREPARE_PACKAGE: quote '&' in file names (ctxt).
* Fri May 15 2009 ke@suse.de
- update translations.
* Thu Mar 19 2009 ke@suse.de
- update translations.
- PREPARE_PACKAGE: Skip missing entries.mo files.
* Fri Feb 27 2009 coolo@suse.de
- remove sr@Latn (also from svn)
* Fri Feb 27 2009 coolo@suse.de
- switch back to openSUSE translations
* Mon Dec 15 2008 ke@suse.de
- update translations for SLE11.
* Sat Nov 29 2008 coolo@suse.de
- update translations.
* Fri Nov 14 2008 ke@suse.de
- update translations.
* Sat Nov  8 2008 coolo@suse.de
- update translations
* Fri Nov  7 2008 ke@suse.de
- update translations.
* Thu Nov  6 2008 coolo@suse.de
- update translations
* Mon Oct 27 2008 coolo@suse.de
- initial package split out of update-desktop-files
